Get my time spents for a date

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/user/time-spents/{date}

Get your time spent entries for a date.

Path parameters

  • date string(date) Required

    Date in the YYYY-MM-DD format

Responses

  • 200 application/json

    The list of your time spent entries for this date

    Hide response attributes Show response attributes object
    • id string(uuid)

      Time spent unique identifier

    • person_id string(uuid)

      Person identifier

    • task_id string(uuid)

      Task identifier

    • date string(date)

      Date of time spent

    • duration number

      Duration in seconds

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 400

    The date is not valid

  • 403

    You use a bot token

GET /data/user/time-spents/{date}
curl -X GET "http://api.example.com/data/user/time-spents/2023-01-01" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/time-spents/2023-01-01"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "person_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "task_id": "c46c80c6-e097-6887-c292-79675204e470",
    "date": "2023-01-01",
    "duration": 3600,
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]